<template>
  <div>
    <TutorList :tutors="tutors" class="TutorList" @onDelete="getTutors" />
    <TutorForm class="TutorForm" @onCreate="getTutors" />
  </div>
</template>

<script>
import TutorList from "../components/tutor/TutorList";
import TutorForm from "../components/tutor/TutorForm";
import axios from "axios";

export default {
  components: { TutorForm, TutorList },
  data() {
    return {
      tutors: [],
      url: String(process.env.VUE_APP_API_URL)
    };
  },
  mounted() {
    this.getTutors();
  },
  methods: {
    getTutors() {
      axios
        .get(this.url + "tutor")
        .then((result) => (this.tutors = result.data));
    },
  },
};
</script>

<style scoped>
.TutorList {
  width: 64%;
  float: left;
  padding: 20px;
  box-sizing: border-box;
}

.TutorForm {
  width: 36%;
  float: right;
  padding: 20px;
  box-sizing: border-box;
}
</style>
